qscale_matrix(3)

NAME
qscale_matrix, qscale_matrix_f

SYNOPSIS
#include <allegro.h>

void qscale_matrix(MATRIX *m, fixed scale); void qscale_matrix_f(MATRIX_f *m, float scale);

DESCRIPTION
Optimised routine for scaling an already generated matrix: this simply adds in the scale factor, so there is no need to build two temporary matrices and then multiply them together.

SEE ALSO
get_scaling_matrix(3)